org.eclipse.rdf4j.query.algebra.evaluation.impl

## Class SimpleEvaluationStrategy

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy
  - - org.eclipse.rdf4j.query.algebra.evaluation.impl.SimpleEvaluationStrategy

- All Implemented Interfaces:
    EvaluationStrategy, FederatedServiceResolver, FederatedServiceResolverClient, UUIDable

  Deprecated.
  renamed to `StrictEvaluationStrategy`.

      @Deprecated
      public class SimpleEvaluationStrategy
      extends StrictEvaluationStrategy

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `dataset, serviceResolver, tripleSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleEvaluationStrategy(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver)` Deprecated.
    `SimpleEvaluationStrategy(TripleSource tripleSource, Dataset dataset, FederatedServiceResolver serviceResolver, long iterationCacheSyncTreshold)` Deprecated.
    `SimpleEvaluationStrategy(TripleSource tripleSource, FederatedServiceResolver serviceResolver)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.impl.StrictEvaluationStrategy

      `evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, evaluate, getLimit, getService, getUUID, getVarValue, getZeroLengthPathIterator, isReducedOrDistinct, isTrue, isUnbound, optimize, setFederatedServiceResolver, setOptimizerPipeline, setTrackResultSize, setTrackTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleEvaluationStrategy

          public SimpleEvaluationStrategy(TripleSource tripleSource,
                                          FederatedServiceResolver serviceResolver)

      Deprecated.
      Parameters:
        `tripleSource` -
        `serviceResolver` -

    - #### SimpleEvaluationStrategy

          public SimpleEvaluationStrategy(TripleSource tripleSource,
                                          Dataset dataset,
                                          FederatedServiceResolver serviceResolver)

      Deprecated.
      Parameters:
        `tripleSource` -
        `dataset` -
        `serviceResolver` -

    - #### SimpleEvaluationStrategy

          public SimpleEvaluationStrategy(TripleSource tripleSource,
                                          Dataset dataset,
                                          FederatedServiceResolver serviceResolver,
                                          long iterationCacheSyncTreshold)

      Deprecated.
      Parameters:
        `tripleSource` -
        `dataset` -
        `serviceResolver` -
        `iterationCacheSyncTreshold` -

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.